/revisions/{revision}
GET
/revisions/{revision}
const url = 'https://api.quantcdn.io/v1/revisions/first';const options = { method: 'GET', headers: { 'Quant-Customer': 'example', 'Quant-Project': 'example', 'Quant-Token': '<Quant-Token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.quantcdn.io/v1/revisions/first \ --header 'Quant-Customer: example' \ --header 'Quant-Project: example' \ --header 'Quant-Token: <Quant-Token>'Returns metadata for a given revision
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”revision
required
integer
May be special key (first|last|published) or the specific revision id
include_content
required
query
Control whether content is returned in the response
Header Parameters
Section titled “Header Parameters”Quant-Customer
required
string
The customer account name
Quant-Project
required
string
The project machine name
Responses
Section titled “Responses”Okay
Media typeapplication/json
object
md5
The file MD5
string
type
The type of asset
string
byte_length
Content length of the asset
integer
revision_number
The revision number
integer
date_timestamp
Unix timestamp
integer
deleted
If the underlying file for this revision has been deleted
boolean
deleted_timestamp
The time the file was deleted
integer
transitions
List of transitions
Array<object>
A transition definition (e.g. for scheduled publish)
object
state
The transition state (e.g. ‘published’)
string
date_timestamp
The date from which the transition applies
integer
info
Metadata stored with this revision
object
author_user
The author user id
string
author_name
The author name
string
author_email
The author email
string
log
A revision log message
string
custom_1
Custom field 1
string
custom_2
Custom field 2
string
source
Tag for the source of this revision
string
Example
{ "transitions": [ { "state": "published" } ]}Revision not found
